{
  "title": "Mirror Mapping Version 1",
  "description": "The domain name for the mirror",
  "type": "object",
  "additionalProperties": {
    "$ref": "#/definitions/MMMirror"
  },
  "definitions": {
    "MMMirror": {
      "title": "MMMirror",
      "type": "object",
      "properties": {
        "origin_domain": {
          "title": "Origin Domain",
          "description": "The full origin domain name",
          "type": "string"
        },
        "origin_domain_normalized": {
          "title": "Origin Domain Normalized",
          "description": "The origin_domain with \"www.\" removed, if present",
          "type": "string"
        },
        "origin_domain_root": {
          "title": "Origin Domain Root",
          "description": "The registered domain name of the origin, excluding subdomains",
          "type": "string"
        }
      },
      "required": [
        "origin_domain",
        "origin_domain_normalized",
        "origin_domain_root"
      ]
    }
  }
}